> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get asset provider

> Retrieve an asset provider



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/asset-provider
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/asset-provider:
    get:
      tags:
        - Asset Provider
      summary: Get asset provider
      description: Retrieve an asset provider
      operationId: getAssetProvider
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: The two-letter country code of the asset provider
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: The three-character code of the asset provider
      responses:
        '200':
          description: Asset provider
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetProviderResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Asset provider could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    AssetProviderResponse:
      type: object
      required:
        - code
        - countryCode
      properties:
        guid:
          type: string
          description: Object global unique identifier
          maxLength: 36
        code:
          type: string
          description: Code of the asset provider
          minLength: 3
          maxLength: 3
          example: ABC
        countryCode:
          type: string
          description: Country code of the asset provider
          minLength: 2
          maxLength: 2
          example: AT
        categories:
          type: array
          items:
            $ref: '#/components/schemas/AssetProviderCategory'
        trackGeolocation:
          type: boolean
          description: >-
            Describes whether the geolocation of the assets belonging to the
            vehicles under this asset provider will be tracked or not.
            Individual assets can only be configured separately if it is
            activated for the whole provider.
        activeAssets:
          type: boolean
          description: >-
            Describes whether the assets belonging to the vehicles under this
            asset provider are activated or deactivated. Individual assets can
            only be configured separately if it is activated for the whole
            provider.
    AssetProviderCategory:
      type: object
      description: Asset provider category assigned to the asset
      required:
        - id
        - name
      properties:
        id:
          type: string
          description: Category globally defined code
          maxLength: 255
        name:
          type: string
          description: Category name for this asset provider
          maxLength: 255
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````